{% load i18n %}
<nav class="navbar navbar-expand-lg navbar-dark bg-primary">
    <a class="navbar-brand" href="{% url "homepage" %}">{% trans "Home" %}</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="nav navbar-nav">
            <li class="nav-item">
                <a class="nav-link" href="{% url "event_list" %}">{% trans "Events" %}</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="{% url "item_list" %}">{% trans "Rental" %}</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="{% url "messages_list" %}">{% trans "Messages" %}
                    {% if request.user.unread_messages.count %}
                        <span class="badge badge-pill badge-danger">{{ request.user.unread_messages.count }}</span>
                    {% endif %}
                </a>
            </li>
        </ul>
        <ul class="nav navbar-nav ml-auto">
            {% include "base/includes/change_language.html" %}
            {% if request.user.is_authenticated %}
                <li class="nav-item">
                    <div class="btn-group btn-group-sm" role="group">
                        <a class="btn btn-secondary" href="{% url "me" %}">{{ request.user.username }}</a>
                        <a class="btn btn-secondary" href="{% url "logout" %}">{% trans "Logout" %}</a>
                    </div>
                </li>
            {% else %}
                <li class="nav-item">
                    <div class="btn-group btn-group-sm" role="group">
                        <a class="btn btn-secondary" href="{% url "register" %}">{% trans "Register" %}</a>
                        <a class="btn btn-secondary" href="{% url "login" %}">{% trans "Login" %}</a>
                    </div>
                </li>
            {% endif %}
        </ul>
    </div>
</nav>